# Chain Information - Quickstart

## Core Parameters

<table data-header-hidden><thead><tr><th valign="middle">Config</th><th></th></tr></thead><tbody><tr><td valign="middle"><strong>Network Name</strong></td><td>Citrea Mainnet</td></tr><tr><td valign="middle"><strong>Chain ID</strong></td><td>4114</td></tr><tr><td valign="middle"><strong>Currency Symbol*</strong></td><td>cBTC</td></tr><tr><td valign="middle"><strong>Currency Decimals</strong></td><td>18</td></tr><tr><td valign="middle"><strong>Currency Name</strong></td><td>Citrea Bitcoin</td></tr><tr><td valign="middle"><strong>HTTP RPC URL</strong></td><td><a href="https://rpc.mainnet.citrea.xyz/">https://rpc.mainnet.citrea.xyz</a></td></tr><tr><td valign="middle"><strong>Block Explorer</strong></td><td><a href="https://explorer.mainnet.citrea.xyz/">https://explorer.mainnet.citrea.xyz</a></td></tr><tr><td valign="middle"><strong>Network Type</strong></td><td>EVM-compatible ZK Rollup (Type II zkEVM)</td></tr><tr><td valign="middle"><strong>Block Time</strong></td><td>2 seconds</td></tr><tr><td valign="middle"><strong>Block Gas Limit</strong></td><td>10,000,000</td></tr><tr><td valign="middle"><strong>Latest Supported EVM Version</strong></td><td>Pectra**</td></tr><tr><td valign="middle"><strong>Settlement &#x26; Data Availability Layer</strong></td><td>Bitcoin</td></tr><tr><td valign="middle"><strong>Genesis Specs</strong></td><td><a href="https://github.com/chainwayxyz/citrea/blob/nightly/resources/genesis/mainnet/evm.json">evm.json</a></td></tr><tr><td valign="middle"><strong>Currency Logo</strong></td><td><a href="https://drive.google.com/drive/folders/1e9VFs4v3_mBs-WAW-FzVgTnPvYyJ8pvF?usp=sharing">cBTC Logo</a></td></tr><tr><td valign="middle"><strong>Chain Logo</strong></td><td><a href="https://drive.google.com/drive/folders/1PyBMVom9sN5Qe529vCT8jBq3Q8fcHoS5?usp=sharing">Citrea Brand Kit</a></td></tr></tbody></table>

<sup>\*native currency, not ERC-20</sup>\ <sup>\*\*differences explained in the</sup> [<sup>Execution Environment</sup>](https://docs.citrea.xyz/essentials/execution-environment) <sup>page</sup>

***

## Kickstart Development

### Add Citrea to your Wallet / Code

For wallets, you can either use the information above, click & add using [**Chainlist**](https://chainlist.org/chain/4114)**,** or the following JSON as the baseline:

```json
{
  "chainId": "0x1012",
  "chainName": "Citrea Mainnet",
  "nativeCurrency": { "name": "cBTC", "symbol": "cBTC", "decimals": 18 },
  "rpcUrls": ["https://rpc.mainnet.citrea.xyz"],
  "blockExplorerUrls": ["https://explorer.mainnet.citrea.xyz"]
}
```

| Network Name       | Citrea Mainnet                                                                                       |
| ------------------ | ---------------------------------------------------------------------------------------------------- |
| Default RPC URL    | [https://rpc.mainnet.citrea.xyz](https://rpc.mainnet.citrea.xyz/)                                    |
| ChainID            | 4114                                                                                                 |
| Currency Symbol    | cBTC                                                                                                 |
| Block Explorer URL | <p><a href="https://explorer.mainnet.citrea.xyz/"><https://explorer.mainnet.citrea.xyz/></a><br></p> |

### Get cBTC

cBTC is used as the native currency to cover gas, which is necessary to deploy smart contracts & use the network.

Head over to [Bridge Hub](https://citrea.xyz/bridge) to Bridge BTC from Bitcoin; USDC, USDT or WBTC from Ethereum.

***

## Where to go from here?

Here are quick links you might be looking for:

* [RPC Endpoints](https://docs.citrea.xyz/developer-documentation/rpc-documentation)
  * includes support for `eth_` endpoints, along with useful Bitcoin & finality related endpoints of Citrea
* [Ecosystem Tooling](https://docs.citrea.xyz/developer-documentation/ecosystem-tooling)
  * partners to check out for Interop, Oracles, Indexers, Wallets, Account Abstraction...
* [Citrea Execution Environment](https://docs.citrea.xyz/essentials/execution-environment)
  * explainers on subtle differences of Citrea compared to Ethereum and other EVM environments
* [System Contracts](https://docs.citrea.xyz/developer-documentation/system-contracts)
  * a set of pre-deployed smart contracts on Citrea that can be used to verify Bitcoin transactions, execute bridge logic, and more


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.citrea.xyz/welcome/chain-information-quickstart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
